Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Class MultiPoint

    java.lang.Object
      com.vividsolutions.jts.geom.Geometry
          com.vividsolutions.jts.geom.GeometryCollection
              com.vividsolutions.jts.geom.MultiPoint

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Puntal, java.io.Serializable

public class MultiPoint
extends GeometryCollection
implements Puntal

Models a collection of `Point`s.

Version:
  1.7
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.vividsolutions.jts.geom.GeometryCollection
`geometries`

Fields inherited from class com.vividsolutions.jts.geom.Geometry
`envelope, factory, SRID`

Constructor Summary
`MultiPoint(Point[] points, GeometryFactory factory)`
`MultiPoint(Point[] points, PrecisionModel precisionModel, int SRID)` Deprecated. Use GeometryFactory instead

Method Summary
`boolean` | `equalsExact(Geometry other, double tolerance)` Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance.
`Geometry` | `getBoundary()` Gets the boundary of this geometry.
`int` | `getBoundaryDimension()` Returns the dimension of this `Geometry`s inherent boundary.
`protected Coordinate` | `getCoordinate(int n)` Returns the `Coordinate` at the given position.
`int` | `getDimension()` Returns the dimension of this geometry.
`java.lang.String` | `getGeometryType()` Returns the name of this object's `com.vivid.jts.geom` interface.
`boolean` | `isValid()` Tests the validity of this `Geometry`.

Methods inherited from class com.vividsolutions.jts.geom.GeometryCollection
`apply, apply, apply, apply, clone, compareToSameClass, compareToSameClass, computeEnvelopeInternal, getArea, getCoordinate, getCoordinates, getGeometryN, getLength, getNumGeometries, getNumPoints, isEmpty, normalize, reverse`

Methods inherited from class com.vividsolutions.jts.geom.Geometry
`buffer, buffer, buffer, checkNotGeometryCollection, compare, compareTo, compareTo, contains, convexHull, coveredBy, covers, crosses, difference, disjoint, distance, equal, equals, equalsExact, geometryChanged, geometryChangedAction, getCentroid, getEnvelope, getEnvelopeInternal, getFactory, getInteriorPoint, getPrecisionModel, getSRID, getUserData, hasNonEmptyElements, hasNullElements, intersection, intersects, isEquivalentClass, isRectangle, isSimple, isWithinDistance, overlaps, relate, relate, setSRID, setUserData, symDifference, toString, toText, touches, union, union, within`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiPoint

    public MultiPoint(Point[] points,
                      PrecisionModel precisionModel,
                      int SRID)

  Deprecated. Use GeometryFactory instead

  Constructs a `MultiPoint`.

Parameters:
  `points` - the `Point`s for this `MultiPoint` , or `null` or an empty array to create the empty geometry. Elements may be empty `Point`s, but not `null`s.
  `precisionModel` - the specification of the grid of allowable points for this `MultiPoint`
  `SRID` - the ID of the Spatial Reference System used by this `MultiPoint`

### MultiPoint

    public MultiPoint(Point[] points,
                      GeometryFactory factory)

Parameters:
  `points` - the `Point`s for this `MultiPoint` , or `null` or an empty array to create the empty geometry. Elements may be empty `Point`s, but not `null`s.

Method Detail

### getDimension

    public int getDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this geometry. The dimension of a geometry is is the topological dimension of its embedding in the 2-D Euclidean plane. In the JTS spatial model, dimension values are in the set {0,1,2}.

  Note that this is a different concept to the dimension of the vertex `Coordinate`s. The geometry dimension can never be greater than the coordinate dimension. For example, a 0-dimensional geometry (e.g. a Point) may have a coordinate dimension of 3 (X,Y,Z).

  Overrides:
    `getDimension` in class `GeometryCollection`

### getBoundaryDimension

    public int getBoundaryDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this `Geometry`s inherent boundary.

  Overrides:
    `getBoundaryDimension` in class `GeometryCollection`

### getGeometryType

    public java.lang.String getGeometryType()

  Description copied from class: `Geometry`
  Returns the name of this object's `com.vivid.jts.geom` interface.

  Overrides:
    `getGeometryType` in class `GeometryCollection`

### getBoundary

    public Geometry getBoundary()

  Gets the boundary of this geometry. Zero-dimensional geometries have no boundary by definition, so an empty GeometryCollection is returned.

  Overrides:
    `getBoundary` in class `GeometryCollection`
  Returns:
    an empty GeometryCollection
  See Also:
    `Geometry.getBoundary()`

### isValid

    public boolean isValid()

  Description copied from class: `Geometry`
  Tests the validity of this `Geometry`. Subclasses provide their own definition of "valid".

  Overrides:
    `isValid` in class `Geometry`
  Returns:
    `true` if this `Geometry` is valid
  See Also:
    `IsValidOp`

### equalsExact

    public boolean equalsExact(Geometry other,
                               double tolerance)

  Description copied from class: `Geometry`
  Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance. Two Geometries are exactly equal within a distance tolerance if and only if:
  - they have the same class
  - they have the same values for their vertices, within the given tolerance distance, in exactly the same order.
  If this and the other `Geometry`s are composites and any children are not `Geometry`s, returns `false`.

  Overrides:
    `equalsExact` in class `GeometryCollection`

### getCoordinate

    protected Coordinate getCoordinate(int n)

  Returns the `Coordinate` at the given position.

  Parameters:
    `n` - the index of the `Coordinate` to retrieve, beginning at 0
  Returns:
    the `n`th `Coordinate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD